Hospitality
  1. Bookings
Hospitality
  • Admin
    • Authentication
      • Admin Profile
      • Login Admin
      • Admin Logout
      • Forget Password
      • Confirm Reset Password
    • Rooms
      • Get All Rooms
      • Get Room Details
      • Hide Rooms
      • Create Room
      • Update Room
      • Delete Room
    • Apartments
      • Get All Apartments
      • Get Apartment Details
      • Apartment Status
      • Create Apartment
      • Update Apartment
      • Delete Apartment
    • Proposals
      • Fetch All Proposals
      • Delete Proposals
      • Fetch Proposal Details
      • Approve / Decline Proposal
    • Reservations
      • All Reservation
      • Delete Reservations
      • End / Cancel Reservation
      • Add Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Reservation Details
    • Bookings
      • All Booking Reservation
        GET
      • Delete Bookings
        DELETE
      • End / Cancel Reservation
        PATCH
      • Add Reservation (New)
        POST
      • Send Invoice
        POST
      • Change Reservation ID
        PUT
      • Filter For Reservations
        GET
      • Get Booking Details
        GET
    • Receptionists
      • Create Receptionist
      • View All Receptionist
      • Delete Receptionist
    • Dashboard
      • Get Statistics
    • Schedule Calls
      • View All Schedules
      • Update Schedule Calls
    • Coupons
      • Create Coupon Code
      • Get All Coupon Code
      • Deactivate / Activate Coupon Code
      • Delete Coupon
    • Refunds
      • Get All Refunds
      • Issue a Refund
      • Approve Or Decline Refunds
      • Update Refunds
      • Filter Refund
    • Categories
      • Create Categories
      • Get All Room Types
      • Update Room Category
      • Delete Room Category
    • Payments (New)
      • Confirm Payment (New)
  • Users
    • Proposals
      • Send A Proposal
    • Reservations
      • Get All Reservations
      • Get Active Reservations
      • Extend Reservation
      • Download Invoice
      • Get Reservation Details
    • Authentication
      • User Registration
      • User Profile
      • Forget Password
      • User Login
      • User Logout
      • Update Account
      • Confirm Reset Password
      • Code Verification
    • Payments
      • Verify Payment
      • Payment For Reservation
      • Create Payment Link (New)
      • Confirm Payment (New)
      • Make Payment For Apartment
      • Verify Paid Apartments
    • Coupons
      • Apply Coupons
    • Refunds
      • Issue a Refund
      • Get All Refunds
  • Rooms
    • Get All Rooms
    • View Room Details
    • Filter Rooms
    • Get Avaliable Rooms
  • Apartments
    • Get All Apartments
    • View Apartment Details
    • Get Avaliable Apartments
  • Categories
    • Get All Categories
  • Owners
    • Authentication
      • Code Verification
      • Get Profile
      • Login
      • User Registration
      • Forget Password
      • Update Account Copy
  • Base Endpiont
    GET
  • Health Check
    GET
  • Schedule A Call
    POST
  • Subscribe Email
    POST
  • Cron Jobs
    GET
  • Payment Webhook
    POST
  • New Request
    GET
  1. Bookings

All Booking Reservation

GET
/admin/bookings/all

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/admin/bookings/all?limit=30&offset=1&sort=desc' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "status": true,
    "message": "Request data successfully queried",
    "data": {
        "totalPages": 1,
        "result": [
            {
                "_id": "677abedb973f5466f568b609",
                "userId": "66084391607d43e029086221",
                "apartmentType": "Bungalow",
                "phone": "09035305278",
                "fullName": "Abdullah yahaya",
                "roomsTaken": 6,
                "isPaid": true,
                "invoiceNumber": "553668",
                "invoice": "https://storage.googleapis.com/hotel-project-a01c4.appspot.com/invoice-553668.pdf?GoogleAccessId=firebase-adminsdk-7wnwl%40hotel-project-a01c4.iam.gserviceaccount.com&Expires=1893452400&Signature=LqDhpGuVsTf%2Fh%2Bdw%2Fy2EXY8xbQHsyZmqOe4ff0fDh30xAt1jTJs0MZRLkDPX6dMTqWN9YX8gFGGjXaxtrGzNJ7ckT%2B8l%2BUXHGsR8HmEoFGtqIuVjnmx8PqfDi2%2FjpOlYwZyy%2BFlXHavrvXr4myAnl8XGRZZrnKLbCnUbPTBYeyJMAWiW%2Bsf8OPPvU94wctqwGlm%2FMPm6poDhRsZp8AGyFSrMUF77u9jH3WYSlINK0e7V3aPQ6ylSdb6wcznw9%2Fr61FBZeuWsDF7y5YG8w671SC54bBoZUN6t0sJ80Q1OJs2bTaHui%2FKRvGb2YWD5tH%2Bo%2BiuWGv7rid9eTcQGxnhyNQ%3D%3D",
                "apartmentId": "67624bbc8e929f905db6bc28",
                "status": "pending",
                "nights": 2,
                "fromDate": "2025-01-07T00:00:00.000Z",
                "toDate": "2025-01-09T00:00:00.000Z",
                "location": "Akure South",
                "reservation": {
                    "type": "self",
                    "_id": "677a84ea1697060923c75167"
                },
                "paymentId": "677a84ea1697060923c75166",
                "freshBooking": true,
                "isAdmin": false,
                "otherBooking": [],
                "createdAt": "2025-01-05T17:18:19.452Z",
                "updatedAt": "2025-01-05T17:18:19.452Z",
                "__v": 0
            }
        ]
    }
}
Modified at 2026-03-12 16:47:55
Previous
Get Reservation Details
Next
Delete Bookings
Built with